Subject: Re: [PATCH 6/6] diff-merges: let -m imply -p

From: Sergey Organov <[email-masked]>
Date: Thu, 20 May 2021 16:14:15 +0300

Junio C Hamano <[email-masked]> writes:

> Jonathan Nieder <[email-masked]> writes:
>
>> Sergey Organov wrote:
>>
>>> Fix long standing inconsistency between -c/--cc that do imply -p, on
>>> one side, and -m that did not imply -p, on the other side.
>>>
>>> After this patch
>>>
>>>   git log -m
>>>
>>> will start to produce diffs without need to provide -p as well,
>>
>> Personally I don't ever use -m without -p and --first-parent, so in
>> that sense this feels like a change in the right direction.
>>
>> Does this also affect the plumbing command "git diff-tree"?  I'm
>> guessing "no" because diff-tree already generates a diff by default,
>> but it seems worth spelling out in the commit message to prevent
>> worries about the effect on scripts that expect stable plumbing
>> behavior.
>
> This is about "log" from the "rev-list" family, not "diff" to
> compare two endpoints, so "git diff" won't be affected, and "git
> diff-tree" is not affected, either.

You are right. I've added a test for "git diff-tree -m", and the changes
don't break it.

Can easily re-roll if you think the test worth it.

Thanks,
-- Sergey Organov